\documentclass[11pt]{standalone}
\usepackage{stanli}

\begin{document}
    
\begin{tikzpicture}
%\draw[help lines](-5,-5) grid (14,13);

\scaling{1.25}

%% Structure
\point{a}{0}{4};
\point{b}{4}{4};
\point{c}{4}{0};
\point{d}{4}{2}; 

\beam{1}{a}{b};
\beam{1}{c}{b};

%% Cross-section
\point{e}{0.5}{0.5};
\point{f}{1.1}{0.5};
\point{g}{1.1}{1.3};
\point{h}{0.5}{1.3}; 

\beam{2}{e}{f}[1];
\beam{2}{f}{g}[1];
\beam{2}{g}{h}[1];
\beam{2}{h}{e}[1];

\support{1}{a};
\support{1}{c};

\load{1}{d};
\temperature{a}{b}{-.5}{.5}[0.5][$-25^\circ$C][$25^\circ$C];

\dimensioning{1}{a}{b}{-1.4}[$4$~m];
\dimensioning{2}{c}{d}{-1}[$2$~m];
\dimensioning{2}{d}{b}{-1}[$2$~m];

\dimensioning{1}{e}{f}{0.0}[$0.3$];
\dimensioning{2}{f}{g}{0.0}[$0.4$];

\notation{1}{a}{$\bf 1$}[above];
\notation{1}{b}{$\bf 2$}[above];
\notation{1}{c}{$\bf 3$}[right];

\notation{1}{d}{$40$~kN}[above right=2mm];

\end{tikzpicture}

\end{document}